Access Bridges - Create Or Update
创建新的通道桥或更新现有通道桥的属性。
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetworkCloud/accessBridges/{accessBridgeName}?api-version=2026-01-01-preview
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
access
|
path | True |
那座通道桥的名字。 |
|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
请求正文
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| extendedLocation | True |
资源的扩展位置。 创建资源时需要该属性。 |
|
| location | True |
string |
资源所在的地理位置 |
| properties.networkId | True |
string (arm-id) |
包含IP子网的第三层隔离域内内部网络的资源ID。 |
| properties.ipv4ConnectedPrefix |
string |
接入桥分配地址的IPv4子网。 该子网必须是 networkID 指定的内部网络的一部分。 |
|
| properties.ipv6ConnectedPrefix |
string |
接入桥分配地址的IPv6子网。 该子网必须是 networkID 指定的内部网络的一部分。 |
|
| properties.securityRules |
访问桥执行的安全规则清单。 |
||
| tags |
object |
资源标记。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
资源“AccessBridge”更新操作成功 |
|
| 201 Created |
资源“AccessBridge”创建操作成功 标头 Azure-AsyncOperation: string |
|
| Other Status Codes |
意外错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow.
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Create or update access bridge
示例请求
PUT https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/accessBridges/Bastion?api-version=2026-01-01-preview
{
"extendedLocation": {
"name": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.ExtendedLocation/customLocations/clusterExtendedLocationName",
"type": "CustomLocation"
},
"location": "location",
"properties": {
"ipv4ConnectedPrefix": "198.51.100.0/24",
"ipv6ConnectedPrefix": "2001:db8::/64",
"networkId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.ManagedNetworkFabric/l3IsolationDomains/l3IsolationDomainName/internalNetworks/internalNetworkName",
"securityRules": [
{
"description": "Allow management plane egress",
"direction": "Outbound",
"ipv4Addresses": [
"10.10.20.10-10.10.20.20"
],
"ipv6Addresses": [
"2001:db8:abcd:12::1000-2001:db8:abcd:12::1fff"
],
"port": "24562-24570"
}
]
},
"tags": {
"key1": "myvalue1",
"key2": "myvalue2"
}
}
示例响应
{
"extendedLocation": {
"name": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.ExtendedLocation/customLocations/clusterExtendedLocationName",
"type": "CustomLocation"
},
"id": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/accessBridges/accessBridgeName",
"location": "location",
"name": "accessBridgeName",
"properties": {
"detailedStatus": "Running",
"detailedStatusMessage": "The access bridge is serving traffic from the VIP and storage appliance endpoints.",
"endpoints": [
{
"fqdn": "bastion.contoso.example.com",
"ipv4Address": "192.51.100.10",
"ipv6Address": "2001:db8::10",
"name": "vip"
}
],
"ipv4ConnectedPrefix": "198.51.100.0/24",
"ipv6ConnectedPrefix": "2001:db8::/64",
"networkId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.ManagedNetworkFabric/l3IsolationDomains/l3IsolationDomainName/internalNetworks/internalNetworkName",
"protocol": "TCP",
"provisioningState": "Succeeded",
"securityRules": [
{
"description": "Allow management plane egress",
"direction": "Outbound",
"ipv4Addresses": [
"10.10.20.10-10.10.20.20"
],
"ipv6Addresses": [
"2001:db8:abcd:12::1000-2001:db8:abcd:12::1fff"
],
"port": "24562-24570"
}
]
},
"systemData": {
"createdAt": "2021-01-22T13:27:03.008Z",
"createdBy": "identityA",
"createdByType": "Application",
"lastModifiedAt": "2021-01-22T13:29:03.001Z",
"lastModifiedBy": "identityB",
"lastModifiedByType": "User"
},
"tags": {
"key1": "myvalue1",
"key2": "myvalue2"
},
"type": "Microsoft.NetworkCloud/accessBridges"
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.NetworkCloud/locations/location/operationStatuses/operationId?api-version=2026-01-01-preview
{
"extendedLocation": {
"name": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.ExtendedLocation/customLocations/clusterExtendedLocationName",
"type": "CustomLocation"
},
"id": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/accessBridges/accessBridgeName",
"location": "location",
"name": "accessBridgeName",
"properties": {
"detailedStatus": "Running",
"detailedStatusMessage": "The access bridge is serving traffic from the VIP and storage appliance endpoints.",
"endpoints": [
{
"fqdn": "bastion.contoso.example.com",
"ipv4Address": "192.51.100.10",
"ipv6Address": "2001:db8::10",
"name": "vip"
}
],
"ipv4ConnectedPrefix": "198.51.100.0/24",
"ipv6ConnectedPrefix": "2001:db8::/64",
"networkId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.ManagedNetworkFabric/l3IsolationDomains/l3IsolationDomainName/internalNetworks/internalNetworkName",
"protocol": "TCP",
"provisioningState": "Accepted",
"securityRules": [
{
"description": "Allow management plane egress",
"direction": "Outbound",
"ipv4Addresses": [
"10.10.20.10-10.10.20.20"
],
"ipv6Addresses": [
"2001:db8:abcd:12::1000-2001:db8:abcd:12::1fff"
],
"port": "24562-24570"
}
]
},
"systemData": {
"createdAt": "2021-01-22T13:27:03.008Z",
"createdBy": "identityA",
"createdByType": "Application",
"lastModifiedAt": "2021-01-22T13:29:03.001Z",
"lastModifiedBy": "identityB",
"lastModifiedByType": "User"
},
"tags": {
"key1": "myvalue1",
"key2": "myvalue2"
},
"type": "Microsoft.NetworkCloud/accessBridges"
}
定义
| 名称 | 说明 |
|---|---|
|
Access |
AccessBridge 表示一个受管理的接入桥资源。 |
|
Access |
那座通道桥的名字。 |
|
Access |
通行桥报告的详细状态。 |
|
Access |
AccessBridgeEndpoint 描述了一个单一的通告服务端点。 |
|
Access |
接入桥的布置状态。 |
|
Access |
AccessBridgeSecurityRule 捕捉由桥接执行的个人访问规则。 |
|
Azure. |
扩展位置的复杂类型。 |
|
created |
创建资源的标识的类型。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Extended |
扩展位置的类型。 |
|
Security |
根据规则,允许的网络流量方向。 |
|
system |
与创建和上次修改资源相关的元数据。 |
|
Transport |
接入桥终端所宣传的协议。 |
AccessBridge
AccessBridge 表示一个受管理的接入桥资源。
| 名称 | 类型 | 说明 |
|---|---|---|
| etag |
string |
“如果在响应正文中提供了 etag,则也可以根据正常的 etag 约定将其作为标头提供。 实体标记用于比较同一请求资源的两个或多个实体。 HTTP/1.1 在 etag(第 14.19 节)、If-Match(第 14.24 节)、If-None-Match(第 14.26 节)和 If-Range(第 14.27 节)标头字段中使用实体标签。 |
| extendedLocation |
资源的扩展位置。 创建资源时需要该属性。 |
|
| id |
string (arm-id) |
资源的完全限定资源 ID。 例如“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| location |
string |
资源所在的地理位置 |
| name |
string |
资源的名称 |
| properties.detailedStatus |
通行桥报告的详细状态。 |
|
| properties.detailedStatusMessage |
string |
详细状态附带的描述性信息。 |
| properties.endpoints |
客户端应使用以访问接入桥的观察端点。 |
|
| properties.ipv4ConnectedPrefix |
string |
接入桥分配地址的IPv4子网。 该子网必须是 networkID 指定的内部网络的一部分。 |
| properties.ipv6ConnectedPrefix |
string |
接入桥分配地址的IPv6子网。 该子网必须是 networkID 指定的内部网络的一部分。 |
| properties.networkId |
string (arm-id) |
包含IP子网的第三层隔离域内内部网络的资源ID。 |
| properties.protocol |
接入桥终端所宣传的协议。 |
|
| properties.provisioningState |
接入桥的布置状态。 |
|
| properties.securityRules |
访问桥执行的安全规则清单。 |
|
| systemData |
Azure Resource Manager 包含 createdBy 和 modifiedBy 信息的元数据。 |
|
| tags |
object |
资源标记。 |
| type |
string |
资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
AccessBridgeAllowedName
那座通道桥的名字。
| 值 | 说明 |
|---|---|
| Bastion |
裸金属机堡垒通道的通道桥。 |
| PrivateVault |
用于集群访问私密保险库的访问桥。 |
| StorageDashboard |
通往存储仪表盘的通道桥。 |
AccessBridgeDetailedStatus
通行桥报告的详细状态。
| 值 | 说明 |
|---|---|
| Running |
通道桥健康且正常运行。 |
| Degraded |
接入桥的性能下降或部分停电。 |
| Failed |
通道桥无法使用。 |
AccessBridgeEndpoint
AccessBridgeEndpoint 描述了一个单一的通告服务端点。
| 名称 | 类型 | 说明 |
|---|---|---|
| fqdn |
string |
用于描述终端证书名称的完全限定域名。 |
| ipv4Address |
string |
与终端关联的IPv4地址。 |
| ipv6Address |
string |
与终端关联的IPv6地址。 |
| name |
string |
识别端点类型的名称(例如VIP或主机)。 |
AccessBridgeProvisioningState
接入桥的布置状态。
| 值 | 说明 |
|---|---|
| Accepted |
接受状态。 |
| Canceled |
取消状态。 |
| Failed |
失败状态。 |
| Provisioning |
配置状态。 |
| Succeeded |
继承状态。 |
AccessBridgeSecurityRule
AccessBridgeSecurityRule 捕捉由桥接执行的个人访问规则。
| 名称 | 类型 | 说明 |
|---|---|---|
| description |
string |
用户提供了关于该规则的价值描述。 |
| direction |
根据规则,允许的网络流量方向。 |
|
| ipv4Addresses |
string[] |
被允许作为安全规则源或目的的IPv4地址集合。 作为单一地址,使用/32(CIDR符号)。 必须指定一个或两个 Ipv4Addresss 和 Ipv6Addresss。 示例格式:10.10.10-10.10.20 或 10.10.10.10/24。 |
| ipv6Addresses |
string[] |
作为安全规则源或目的地的IPv6地址集合。 作为单一地址,使用/128(CIDR符号)。 必须指定一个或两个 Ipv4Addresss 和 Ipv6Addresss。 示例格式:2001:db8:abcd::1-2001:db8:abcd::ff 或 2001:db8:abcd::1/64。 |
| port |
string |
源端口、目的端口或端口范围。 例如24562或24562-24570。 |
Azure.ResourceManager.CommonTypes.ExtendedLocation
扩展位置的复杂类型。
| 名称 | 类型 | 说明 |
|---|---|---|
| name |
string |
扩展位置的名称。 |
| type |
扩展位置的类型。 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
ExtendedLocationType
扩展位置的类型。
| 值 | 说明 |
|---|---|
| EdgeZone |
Azure 边缘区域位置类型 |
| CustomLocation |
Azure 自定义位置类型 |
SecurityRuleDirection
根据规则,允许的网络流量方向。
| 值 | 说明 |
|---|---|
| Inbound |
有进站流量流向本地集群。 |
| Outbound |
来自本地集群的出站流量。 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的资源时间戳(UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |
TransportProtocol
接入桥终端所宣传的协议。
| 值 | 说明 |
|---|---|
| TCP |
TCP传输协议。 |
| UDP |
UDP传输协议。 |